var Y=core.org.voxsoftware.Youtube.Downloader
import Youtube from 'ytdl-core'

class Channel{
	
	constructor(){
		this.server= new Y.Server()
	}
	
	async init(){
		await this.server.init()
	}

	getInfo(url){

		var task= new core.VW.Task()
		Youtube.getInfo(url, {
		 	"timeout": 20000
		}, function(err,info){
			if(err)
				task.exception=err
			task.result= info
			task.finish()
		})
		return task
	}


	getDownloadLink(url){
		return "http://127.0.0.1:"+this.server.port.toString()+"/download/"+url
	}


}

export default Channel